---
title: Destroy Instance
url: https://docs.vultr.com/products/compute/instances/cloud-gpu/management/destroy-instance
description: Learn how to permanently delete a Vultr Cloud GPU Instance and all associated data.
publish_date: 2024-09-23T20:20:07.196272Z
last_updated: 2026-05-26T18:47:50.684503Z
---

# How to Destroy a Vultr Cloud GPU Instance

Destroying an instance removes the public IP address and deletes the server from your Vultr account. Destroying an instance cannot be reversed and any instance data cannot be recovered unless a backup or snapshot is available in your Vultr account.

Follow this guide to destroy a Vultr Cloud GPU instance using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Cloud GPU instance to open its management page.
    1. Click **Destroy Server** on the top-right navigation menu to destroy the server instance.
    1. Check the confirmation prompt and click **Destroy Server** to apply changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note the target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/delete-instance) to destroy the instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X DELETE \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all instances in your Vultr account and note the target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Destroy the instance.

        ```console
        $ vultr-cli instance delete <instance_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration and locate the Cloud GPU instance resource.

    1. Remove the resource block or destroy it by target.

        ```terraform
        resource "vultr_instance" "gpu" {
            label    = "gpu-instance-1"
            region   = "ewr"
            plan     = "vcg-1c-8gb"
            os_id    = 2284
            hostname = "gpu-instance-1"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_instance.gpu
        ```

    2. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
